# FilePermissionDenied
<span class="source-link">[[Source]](src/files/file.md#L29)</span>
```pony
primitive val FilePermissionDenied
```

## Constructors

### create
<span class="source-link">[[Source]](src/files/file.md#L29)</span>


```pony
new val create()
: FilePermissionDenied val^
```

#### Returns

* [FilePermissionDenied](files-FilePermissionDenied) val^

---

## Public Functions

### eq
<span class="source-link">[[Source]](src/files/file.md#L31)</span>


```pony
fun box eq(
  that: FilePermissionDenied val)
: Bool val
```
#### Parameters

*   that: [FilePermissionDenied](files-FilePermissionDenied) val

#### Returns

* [Bool](builtin-Bool) val

---

### ne
<span class="source-link">[[Source]](src/files/file.md#L31)</span>


```pony
fun box ne(
  that: FilePermissionDenied val)
: Bool val
```
#### Parameters

*   that: [FilePermissionDenied](files-FilePermissionDenied) val

#### Returns

* [Bool](builtin-Bool) val

---

